from gradio_client import Client, handle_file

client = Client("JeffreyXiang/TRELLIS")

preprocessed_image = client.predict(
  image=handle_file('https://i.pinimg.com/564x/79/b3/6d/79b36deeb891cf65e41c743f5350d6cf.jpg'),
  api_name="/preprocess_image"
)

rand_seed = client.predict(
  randomize_seed=True,
  seed=0,
  api_name="/get_seed"
)

result = client.predict(
  image=handle_file(preprocessed_image),
  multiimages=[],
  seed=rand_seed,
  ss_guidance_strength=rand_seed,
  ss_sampling_steps=7.5,
  slat_guidance_strength=12,
  slat_sampling_steps=3,
  multiimage_algo="12",
  api_name="/image_to_3d"
)

print(result)

print("image_to_3d ok")

client.predict(
  api_name="/lambda_2"
)

client.predict(
  mesh_simplify=None,
  texture_size=0.95,
  api_name="/extract_glb"
)

client.predict(
  api_name="/lambda_4"
)
